LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices



Reply
 
Search this Thread
Old 10-15-2004, 09:35 PM   #1
xiongnu
Member
 
Registered: Sep 2004
Distribution: Debian 7
Posts: 96

Rep: Reputation: 15
Help: installing new driver for ATI Rage Pro


hi,

i'm trying to install a linux driver for my ATI Rage Pro card which i acquired from Sourceforge Dri website (http://www.freedesktop.org/~dri/snapshots/). rage128-20040911-linux.i386.tar to be exact. when i try to compile the package, system creates a error log with the following msg:
" Makefile:169: *** Cannot find a kernel config file. Stop."

what does this mean? i think i have kernel source installed on my machine. 2.6.3-7mdk

Last edited by xiongnu; 10-16-2004 at 04:11 PM.
 
Old 10-16-2004, 01:04 AM   #2
ponkanMonster
LQ Newbie
 
Registered: Aug 2003
Location: Philippines
Distribution: mandrake 10
Posts: 16

Rep: Reputation: 0
try alsa

dude, what is the exact model of your sound card? i just tried alsa on sound cards and they work.
 
Old 10-16-2004, 01:34 AM   #3
xiongnu
Member
 
Registered: Sep 2004
Distribution: Debian 7
Posts: 96

Original Poster
Rep: Reputation: 15
nah, it's ATI Rage Pro graphics card, not a sound card

well, guess what? it turns out i didn't have linux kernel source code installed, strange, since i have compiled the source code of mplayer as well as some other softwares on my machine since my initial plunge into mandrake a month ago, always thought i had source code installed. but after some reading and a look at /usr/src/linux-2.X/ it turns out i didn't have source code in that directory. no problem, so i installed kernel-source-2.6.3-7mdk and then bingo, rage128-20040911-linux.i386.tar got installed. but even better things occured, i couldn't boot into X windows, received some error msg like:

(EE) module ABI minor version (7) is newer than the server's version (6)
(EE) Failed to load module "ati" (module requirement mismatch, 0)
(EE) No drivers available.

Fatal server error:
no screens found
======================================

after another hour or so online research, it turns out that my XFree86 is too old for the ati module to load, so i grab the latest XFree86-4.4.0 source code from ftp://ftp.xfree86.org/pub/XFree86/4.4.0/source/ and install it, it's a whopping 300m source code after untar. as of now, i'm still building binaries out the source code, 75 minutes in the making...

da*n, i have lost serveral weekend's nightly rest to mandrake since i plunge into it last month...

Last edited by xiongnu; 10-16-2004 at 01:40 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
HELP! Installing Driver for ATI 3D Rage Pro on Slackware 10 mmarkvillanueva Linux - Hardware 6 06-08-2005 06:43 AM
Cant get 3d working for ATI 3d rage lt pro, RH 9. Plz help. RHLinuxGUY Linux - Hardware 0 10-09-2004 11:55 PM
ATI Driver for RAGE Pro Error1312 Linux - Software 10 07-24-2004 11:56 AM
ati rage pro tvout Angotull Linux - Software 0 06-15-2004 07:11 AM
ATI Rage Pro Support punt Linux - General 2 08-08-2001 02:57 PM


All times are GMT -5. The time now is 10:58 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration